> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Public Recover Payment Plan

> Patient self-serve: store the new card, charge the overdue installment, recover the plan,
and resolve the staff task(s). Public (the plan id is the access token).



## OpenAPI

````yaml post /billing/payment-plan/{payment_plan_id}/public-pay
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /billing/payment-plan/{payment_plan_id}/public-pay:
    post:
      tags:
        - Payment Plans
      summary: Public Recover Payment Plan
      description: >-
        Patient self-serve: store the new card, charge the overdue installment,
        recover the plan,

        and resolve the staff task(s). Public (the plan id is the access token).
      operationId: >-
        public_recover_payment_plan_billing_payment_plan__payment_plan_id__public_pay_post
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: payment_plan_id
          in: path
          required: true
          schema:
            type: string
            title: Payment Plan Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PublicPlanPayRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: boolean
                title: >-
                  Response Public Recover Payment Plan Billing Payment Plan 
                  Payment Plan Id  Public Pay Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PublicPlanPayRequest:
      properties:
        rainforestPaymentMethodId:
          type: string
          title: Rainforestpaymentmethodid
      type: object
      required:
        - rainforestPaymentMethodId
      title: PublicPlanPayRequest
      description: >-
        Patient-submitted card from the public plan page (a Rainforest
        payment-method id).
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````